Name:           fakesystemd
Version:        1
Release:        %mkrel 1
Summary:        Docker-specific package fake systemd existence in system

License:        MIT
BuildArch:      noarch

Provides:   systemd = 208
Provides:   systemd-units = 208
Provides:   systemd-libs = 208
Provides:   udev = 208
Provides:   libgudev1
Provides:   libudev.so.1
Provides:   libudev.so.1(LIBUDEV_183)
Provides:   libudev.so.1(LIBUDEV_196)
Provides:   libudev.so.1(LIBUDEV_199)
Provides:   libudev.so.1()
Provides:   /sbin/shutdown

Conflicts:  systemd

Source0:    macros.systemd


%description
Minimal docker-specific package to satisfy systemd Provides: without installing systemd in Docker images.
It is intended strictly for use in Docker images/containers. It doesn't provide any functionality from
systemd package - it only contains few important directories and files. fakesystemd is definitely not
applicable for full bootable operation system! We do not use systemd at all!

%prep

%build

%install
for dir in systemd/system systemd/user tmpfiles.d sysctl.d modules-load.d binfmt.d udev/rules.d
do
  mkdir -p %{buildroot}%{_sysconfdir}/${dir}
done

for dir in system-generators user-generators system-preset user-preset system-shutdown system-sleep catalog ntp-units.d
do
  mkdir -p %{buildroot}%{_prefix}/lib/systemd/${dir}
done

for dir in tmpfiles.d sysctl.d sysctl.d modules-load.d binfmt.d
do
  mkdir -p %{buildroot}%{_prefix}/lib/${dir}
done

mkdir -p %{buildroot}%{_datadir}/systemd 
mkdir -p %{buildroot}%{_datadir}/pkgconfig
mkdir -p %{buildroot}%{_localstatedir}/lib/systemd/catalog


#hack for redhat-lsb-core
mkdir -p %{buildroot}/sbin
ln -sf /bin/true %{buildroot}/sbin/shutdown


install -Dpm 0644 %{SOURCE0} %{buildroot}%{_rpmconfigdir}/macros.d/macros.systemd


%files
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system
%dir %{_sysconfdir}/systemd/user
%dir %{_sysconfdir}/tmpfiles.d
%dir %{_sysconfdir}/sysctl.d
%dir %{_sysconfdir}/modules-load.d
%dir %{_sysconfdir}/binfmt.d
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d
%dir %{_prefix}/lib/systemd
%dir %{_prefix}/lib/systemd/system-generators
%dir %{_prefix}/lib/systemd/user-generators
%dir %{_prefix}/lib/systemd/system-preset
%dir %{_prefix}/lib/systemd/user-preset
%dir %{_prefix}/lib/systemd/system-shutdown
%dir %{_prefix}/lib/systemd/system-sleep
%dir %{_prefix}/lib/systemd/catalog
%dir %{_prefix}/lib/systemd/ntp-units.d
%dir %{_prefix}/lib/tmpfiles.d
%dir %{_prefix}/lib/sysctl.d
%dir %{_prefix}/lib/modules-load.d
%dir %{_prefix}/lib/binfmt.d
%dir %{_datadir}/systemd
%dir %{_datadir}/pkgconfig
%dir %{_localstatedir}/lib/systemd
%dir %{_localstatedir}/lib/systemd/catalog
%{_rpmconfigdir}/macros.d/macros.systemd
/sbin/shutdown

%changelog
* Mon May 21 2018 adrianomorselli <adrianomorselli> 1-1uplos2018
- imported for uplos
